/* CSS pour Marc Le Coq */
/* Polices et Couleurs */

:root {
    /*principal*/
    --primary-color: #D4AF37;
    --secondary-color: #62FE52;
    --thirdy-color: #E0E0E0;

    /*balises h1 h2 h3*/
    --text-color-h1: #E0E0E0;
    --text-color-h2: #62FE52;
    --text-color-h3: #D4AF37;

    /*text*/
    --text-color-p1: #C0C0C0;
    --text-color-p3: #808080;
    --text-color-p2: #D4AF37;

    --background-color: #121212;
    --surface-color-bt: #6797C7 --surface-color:#808080;
}

/*logo*/
.logo img {
    height: 77px;
    width: auto;
    display: block;
}

#logo-title {
    color: var(--secondary-color);
    text-decoration: none;
    font-size: 1.2rem;
    font-weight: bold
}


/* En-tête et Navigation */
#header {
    padding: 1rem 5%;
    position: sticky;
    top: 0;
    z-index: 1000;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.5);
    border: 1px solid var(--primary-color);
}

nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-size: 1.06rem;
    font-weight: bold
}


.nav-links {
    list-style: none;
    display: flex;
    margin: 0;
    padding: 0;
}

.nav-links li {
    margin-left: 2rem;
}




/*body*/
#header {
    background: linear-gradient(rgba(0, 0, 0, 0.3), rgba(0, 0, 0, 0.3)), url('/assets/images/hero-bg.webp') no-repeat center center/cover;
}


body {
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    margin: 0;
    padding: 0;
    background-color: var(--background-color);
    line-height: 1.6;
}


a {
    font-size: 1.22rem;
    text-decoration: none;
    color: var(--primary-color);

}

a:hover {
    font-size: large;
    color: blue;
    text-decoration: underline;
}


h1 {
    font-size: 2rem;
    margin-bottom: 2rem;
    color: var(--thirdy-color);
    text-align: center;
    font-weight: 700;
}


h2 {
    font-size: 1.33rem;
    color: var(--secondary-color);
    text-align: center;
    font-weight: 700;
    margin-top: 2em;
    margin-bottom: 1rem
}

h3 {
    font-size: 1.1rem;
    margin-bottom: 1rem;
    color: var(--primary-color);
    text-align: center;
    font-weight: 700;
}


p,
li {
    color: var(--text-color-p1);
    font-size: 1rem;
    max-width: 800px;
    text-align: justify;
}

/* Hero Section */
#hero {
    max-width: 100%;
    display: block;
    justify-content: center;
    align-items: center;
    text-align: center;
}


.hero-container {
    max-width: 800px;
    margin: 3rem auto;
    /* ← CENTRAGE */
    padding: 2rem 3rem;
    background-color: var(--background-color);
    border-radius: 8px;
    border: 1px solid var(--secondary-color);

    /* ✨ la clé */
    box-sizing: border-box;
    width: calc(100% - 40px);
}

.hero-text {
    text-align: left;
    text-align: start;
}

.book {
    text-align: center;
}

.book img {
    max-width: 100%;
    height: auto;
}

#coverid {
    max-width: 100%;
    height: auto;
    display: inline-block;
    /* to respect the text-align: center of the parent */
}



 
/*Button file upload*/
.file-upload-wrapper {
    position: relative;
    overflow: hidden;
    display: inline-block;
    margin-top: 10px;
}

.file-upload-btn {
    border: 2px solid var(--primary-color);
    color: var(--primary-color);
    background-color: var(--background-color);
    padding: 8px 20px;
    border-radius: 5px;
    cursor: pointer;
    font-weight: bold;
    margin-top: 20px;
}

.file-upload-btn:hover {
    background-color: var(--background-color);
    color: var(--text-color-h1);
    border: 2px solid var(--text-color-h2);
}





/*Button*/
.btn-center {
    text-align: center;
    margin-top: 2rem;
}

.cta-button {
    display: inline-block;
    background: var(--secondary-color);
    color: var(--background-color);
    padding: 0.8rem 2rem;
    border-radius: 5px;
    text-decoration: none;
    font-weight: bolder;
    transition: transform 0.3s ease, background-color 0.3s ease;
}

.cta-button:hover,
.cta-button.active {
    background-color: var(--text-color-h1);
    color: var(--background-color);
    /* Or plus brillant */
    color: var(--primary-color);
    font-size: larger;
    font-weight: bolder;
}




/* leçons */

.lesson-card {
    background: var(--surface-color-bt);
    padding: 2rem;
    border-radius: 10px;
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.5);
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    border-left: 3px solid var(--primary-color);
}

/* Contact Form */
.contact-label {
    margin-bottom: 5px;
    color: var(--primary-color);
    display: block;
}

.contact-txt {
    width: 100%;
    box-sizing: border-box;
    margin-top: 0%;
    margin-bottom: 1.33em;
}

.contact-link {
    font-weight: bold;
    color: var(--primary-color);
}

.contact-link:hover {
    text-decoration: underline;
    font-size: larger;
    font-weight: bolder;
}




/* Pied de page */
footer {
    text-align: center;
    color: var(--thirdy-color);
    background: var(--background-color);
}

.footer-content {
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.footer-content p {
    text-align: center;
    color: gray;
}



.social-links a {
    color: var(--secondary-color);
    text-decoration: none;
    margin: 0 0.5rem;
    font-size: 0.9rem;
    transition: color 0.3s ease;
}

.-links a {
    color: var(--secondary-color);
    text-decoration: none;
    margin: 0 0.5rem;
    font-size: 0.9rem;
    transition: color 0.3s ease;
}


.social-links a:hover {
    color: var(--primary-color);
    text-decoration: underline;
}


#social_links_gray {
    color: var(--text-color-p3);
}

/* Responsive (Menu Burger) */
.burger {
    display: none;
    cursor: pointer;
}

.burger div {
    width: 25px;
    height: 3px;
    background-color: var(--primary-color);
    margin: 5px;
    transition: all 0.3s ease;
}


@media screen and (max-width: 768px) {
    .nav-links {
        position: fixed;
        right: 0;
        top: 8vh;
        background-color: var(--surface-color);
        flex-direction: column;
        align-items: center;
        width: 50%;
        height: 92vh;
        transform: translateX(100%);
        transition: transform 0.5s ease-in;
    }

    .nav-links li {
        opacity: 0;
        margin: 2rem 0;
    }

    .nav-links a {
        color: var(--primary-color);
        text-decoration: none;
        font-size: 1.5rem;
        transition: color 0.3s ease;
    }

    .nav-links li,
    a:hover {
        color: var(--primary-color);
    }

    .burger {
        display: block;
    }

    .nav-active {
        transform: translateX(0%);
    }

    @keyframes navLinkFade {
        from {
            opacity: 0;
            transform: translateX(50px);
        }

        to {
            opacity: 1;
            transform: translateX(0px);
        }
    }

    .toggle .line1 {
        transform: rotate(-45deg) translate(-5px, 6px);
    }

    .toggle .line2 {
        opacity: 0;
    }

    .toggle .line3 {
        transform: rotate(45deg) translate(-5px, -6px);
    }

    .hero-container {
        padding: 2rem 1.5rem;
        width: calc(100% - 20px);
    }

    .hero-container h1 {
        font-size: 1.8rem;
    }

    .hero-container p {
        font-size: 1rem;
    }

    p,
    li {
        text-align: left;
    }

    a:hover {
        font-size: inherit;
        /* Reset font-size on hover for mobile */
    }

    .logo img {
        height: 60px;
    }




    /*css lang*/
    .lang-menu {
        position: relative;
        display: inline-block;
        font-family: Arial, sans-serif;
    }

    .lang-btn {
        color: var(--secondary-color);
        background-color: var(--background-color);
        cursor: pointer;
        border-radius: 0.2rem;
        padding: 0.2rem 0.2rem 0.3rem 0.2rem;
        color: var(--primary-color);
    }

    .lang-flag {
        vertical-align: middle;
    }


    .lang-list {
        display: none;
        position: absolute;
        top: 110%;
        left: 0;
        background: var(--text-color);
        border: 1px solid var(--primary-color);
        border-radius: 6px;
        list-style: none;
        padding: 0;
        margin: 0;
        width: 160px;
        z-index: 1000;
    }

    .lang-list li {
        color: var(--thirdy-color);
        padding: 0.2rem 0.2rem 0.2rem 0.2rem;
        cursor: pointer;
    }



    .lang-list li:hover {
        background: var(--primary-color);
    }

    .flag {
        width: 20px;
        height: 14px;
        margin-right: 8px;
        vertical-align: middle;
    }







    #captchaQuestion {
        color: var(--primary-color);
    }


    .home-link {
        display: block;
        text-align: center;
        margin-top: 2rem;
        font-weight: bold;
        color: var(--primary-color);
    }

    .home-link:hover {
        text-decoration: underline;
        font-size: larger;
        font-weight: bolder;
    }



    /*css lang*/
    .lang-menu {
        position: relative;
        display: inline-block;
        font-family: Arial, sans-serif;
    }

    .lang-btn {
        color: #62FE52;
        background-color: #1E1E1E;
        cursor: pointer;
        border-radius: 0.2rem;
        padding: 0.2rem 0.2rem 0.3rem 0.2rem;
        color: #D4AF37;
    }

    .lang-flag {
        vertical-align: middle;
    }


    .lang-list {
        display: none;
        position: absolute;
        top: 110%;
        left: 0;
        background: #fff;
        border: 1px solid #62FE52;
        border-radius: 6px;
        list-style: none;
        padding: 0;
        margin: 0;
        width: 160px;
        z-index: 1000;
    }

    .lang-list li {
        color: #000;
        padding: 0.2rem 0.2rem 0.2rem 0.2rem;
        cursor: pointer;
        ;
    }



    .lang-list li:hover {
        background: #f2f2f2;
    }

    .flag {
        width: 20px;
        height: 14px;
        margin-right: 8px;
        vertical-align: middle;
    }






    /* Cache la barre de suggestion Google en haut */
    .goog-te-banner-frame.skiptranslate {
        display: none !important;
    }

    body {
        top: 0px !important;
    }

    /* Cache le logo "Powered by Google" si besoin */
    .goog-logo-link {
        display: none !important;
    }

    .goog-te-gadget {
        color: transparent !important;
    }


    /* Force l'affichage du menu Google pour le voir apparaître */
    #google_translate_element {
        display: block !important;
        visibility: visible !important;
        border: 2px solid red;
        /* Pour bien le repérer ! */
        min-height: 20px;
    }